import { useState } from 'react';
import registerApp from '../assets/orchestration'

function MyForm() {
  const [inputs, setInputs] = useState({});

  const handleChange = (event) => {
    const name = event.target.name;
    const value = event.target.value;
    setInputs(values => ({ ...values, [name]: value }))
  }

  return (
    <>
      <form className='card'>
        <h4>DNS</h4>
        <label>FQDN
          <input type="text" name="fqdn" value={inputs.fqdn} onChange={handleChange} placeholder='Target DNS name.' required autoFocus/>
        </label>

        <br />

        <label>CNAME Target
          <input type="text" name="cname_target" value={inputs.cname_target} onChange={handleChange} placeholder='cygnus.int.jonb.io' required/>
        </label>

        <br />

       <h4>Reverse Proxy</h4>

        <label>FQDN
          <input type="text" value={inputs.fqdn} onChange={handleChange} disabled placeholder='Automatically filled, Target DNS name'/>
        </label>

        <br />

        <label>Target Host
          <input type="text" name="target_host" value={inputs.target_host} onChange={handleChange} placeholder='Network host Domain or IP' required/>
        </label>

        <br />

        <label>Upstream Port
          <input type="number" name="upstream_port" value={inputs.upstream_port} onChange={handleChange} placeholder='Port the target service is listening on.' required/>
        </label>

        <br />

        <label>Protocol
          <select name="protocol" value={inputs.protocol || "http"} onChange={handleChange}>
            <option value="http" selected>HTTP</option>
            <option value="https">HTTPS</option>
          </select>
        </label>

        <br />

        <button className="button" type="submit" onChange={handleChange} onClick={() => registerApp({inputs})}>Submit</button>

      </form>
    </>
  )
}


function Home() {
  return (<><h2>Deploy New App</h2>
    <MyForm />
  </>
  )
}

export default Home;